summaryrefslogtreecommitdiffstats
path: root/libraries/tksvg
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/tksvg')
-rw-r--r--libraries/tksvg/README7
-rw-r--r--libraries/tksvg/slack-desc19
-rw-r--r--libraries/tksvg/tksvg.SlackBuild112
-rw-r--r--libraries/tksvg/tksvg.info10
4 files changed, 148 insertions, 0 deletions
diff --git a/libraries/tksvg/README b/libraries/tksvg/README
new file mode 100644
index 0000000000..a67f3c1089
--- /dev/null
+++ b/libraries/tksvg/README
@@ -0,0 +1,7 @@
+This package adds support to read the SVG image format from Tk.
+The actual code to parse and raster the SVG comes from nanosvg.
+Note: this package is not required for Tk 8.7, as this functionality
+is included in the core. The package index file simulates a load on
+this version but actually does nothing.
+
+
diff --git a/libraries/tksvg/slack-desc b/libraries/tksvg/slack-desc
new file mode 100644
index 0000000000..7fb9c02253
--- /dev/null
+++ b/libraries/tksvg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tksvg: tksvg (Tk support for SVG)
+tksvg:
+tksvg: This package adds support to read the SVG image format from Tk.
+tksvg: The actual code to parse and raster the SVG comes from nanosvg.
+tksvg: Note: this package is not required for Tk 8.7, as this functionality
+tksvg: is included in the core. The package index file simulates a load on
+tksvg: this version but actually does nothing.
+tksvg:
+tksvg:
+tksvg: For more information see: https://github.com/oehhar/tksvg
+tksvg:
diff --git a/libraries/tksvg/tksvg.SlackBuild b/libraries/tksvg/tksvg.SlackBuild
new file mode 100644
index 0000000000..9e9952c93e
--- /dev/null
+++ b/libraries/tksvg/tksvg.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for tksvg
+
+# Copyright 2023 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tksvg
+VERSION=${VERSION:-0.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=x86_64 ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# remove unnecessary empty directories
+rmdir $PKG/usr/bin $PKG/usr/include
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md license.terms \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/tksvg/tksvg.info b/libraries/tksvg/tksvg.info
new file mode 100644
index 0000000000..7466e6bb0a
--- /dev/null
+++ b/libraries/tksvg/tksvg.info
@@ -0,0 +1,10 @@
+PRGNAM="tksvg"
+VERSION="0.13"
+HOMEPAGE="https://github.com/oehhar/tksvg"
+DOWNLOAD="https://github.com/oehhar/tksvg/archive/refs/tags/0.13/tksvg-0.13.tar.gz"
+MD5SUM="9a88e6ecbeee37f10dd77016f5911f12"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"